//
//  RootViewController.h
//  ImageLoaderSingleton
//
//  Created by Benny Sheerin on 7/02/12.
//  Copyright (c) 2012 bennythemink. All rights reserved.
//  www.bennythemink.com
//

#import <UIKit/UIKit.h>

#import "ImageLoader.h"

@interface RootViewController : UIViewController <ImageLoaderDelegate>

@property (weak, nonatomic) IBOutlet UIButton *fetchBtn;

@property (weak, nonatomic) IBOutlet UIImageView *topLeftImageView;
@property (weak, nonatomic) IBOutlet UIActivityIndicatorView *topLeftActivityIndicator;

@property (weak, nonatomic) IBOutlet UIImageView *topRightImageView;
@property (weak, nonatomic) IBOutlet UIActivityIndicatorView *topRightActivityIndicator;

@property (weak, nonatomic) IBOutlet UIImageView *bottomImageView;
@property (weak, nonatomic) IBOutlet UIActivityIndicatorView *bottomActivityIndicator;

- (IBAction) fetchImage:(id)sender;

@end
